Index: src/timemanager_mpi.f90
===================================================================
--- src/timemanager_mpi.f90	(revision 861805ae954eff7a3f8d5a66162fa14555f6e59e)
+++ src/timemanager_mpi.f90	(revision 16b61a5e2d3b1020be1cff080e479ba26f3f7063)
@@ -578,5 +578,5 @@
         end if
 
-        ! Write particles for all processes
+        ! Write number of particles for all processes
         if (mp_dev_mode) write(*,*) "PID, itime, numpart", mp_pid,itime,numpart
 
@@ -870,5 +870,6 @@
   endif
   deallocate(gridunc)
-  deallocate(xpoint1,xpoint2,ypoint1,ypoint2,zpoint1,zpoint2,xmass, checklifetime)
+  deallocate(xpoint1,xpoint2,ypoint1,ypoint2,zpoint1,zpoint2,xmass)
+  if (allocated(checklifetime)) deallocate(checklifetime)
   deallocate(ireleasestart,ireleaseend,npart,kindz)
   deallocate(xmasssave)
